RDMnet::Broker Class Reference

The Broker class. More...

`#include <broker.h>`

Inheritance diagram for RDMnet::Broker:
[legend]

## Public Member Functions

| Broker (UUID::uuid=UUID::uuid(), RDM::UID=RDM::UID())
| Broker::Broker. More...
void | rlpBrokerReceiver (ACN::PDU::Message< ACN::RLP::Pdu >)
| Broker::rlpBrokerReceiver. More...
Public Member Functions inherited from RDMnet::Implementation
| Implementation (UUID::uuid=UUID::uuid(), RDM::UID=RDM::UID())
| Implementation::Implementation. More...
void | rlpLlrpReceiver (ACN::PDU::Message< ACN::RLP::Pdu >)
| Implementation::rlpLlrpReceiver. More...
virtual void | rlpEptReceiver (ACN::PDU::Message< ACN::RLP::Pdu >)
| rlpEptReceiver More...
Public Member Functions inherited from ACN::RLP::Component
| Component (UUID::uuid=UUID::uuid())
| Component::Component. More...
virtual void | UdpPayloadReceiver (PDU::Stream)
| Component::UdpPayloadReceiver. More...
virtual void | TcpPacketReceiver (PDU::Stream)
| Component::TcpPacketReceiver. More...
Public Member Functions inherited from ACN::Component
| Component (UUID::uuid cid=UUID::uuid())
| Component. More...
const UUID::uuid | cid () const
| cid More...
const std::string | fixedName () const
| fixedName fixed component name More...
const std::string | userName () const
| userName user-asigned name More...
const std::string | name () const
| component name, either user asigned or fixed. More...
void | assignUserName (const std::string s)
| set the user asigned name More...
Public Member Functions inherited from RDM::Responder
| Responder (UID id, Device *parent=nullptr)
| Responder::Responder. More...
virtual | ~Responder ()
| Responder::~Responder.
void | receive (const std::vector< uint8_t > &data)
| Responder::receive. More...
virtual void | reset (bool hard) override
| Responder::reset. More...
Public Member Functions inherited from RDM::Device
| Device (UID id=UID(), Device *parent=nullptr)
| Device::Device. More...
virtual | ~Device ()
| Device::~Device.
void | addSubDevice (uint16_t number, Device *dev)
| Device::addSubDevice. More...
Device * | subDevice (uint16_t number)
| Device::subDevice. More...
uint16_t | subDeviceCount () const
| Device::subDeviceCount. More...
void | addProductDetailId (uint16_t)
| Device::addProductDetailId. More...
void | get (const MsgPtr message, MsgPtr response)
| Device::get. More...
void | set (const MsgPtr message, MsgPtr response)
| Device::set. More...
virtual void | identify (bool state)
| Device::identify. More...
Public Member Functions inherited from DMX::Device
| Device ()
| Device::Device.
uint16_t | footprint () const
| Device::footprint. More...
uint8_t | personality () const
| Device::personality. More...
uint8_t | personalityCount () const
| Device::personalityCount. More...
uint16_t | address () const
| Device::address. More...
virtual void | setPersonality (uint8_t mode)
| Device::setPersonality. More...
virtual bool | setAddress (uint16_t start)
| Device::setAddress. More...
Public Member Functions inherited from RDMnet::LLRP::Target
| Target ()
| Target::Target.
virtual void | LLRPsetup ()=0
| listens on LLRP_PORT
void | receiveLLRP (ACN::PDU::Message< LLRP::Pdu > frame)
| Target::receiveLLRP. More...
virtual void | receiveProbeRequest (ACN::PDU::Message< LLRP::ProbeRequest::Pdu > pdu)
| Target::receiveProbeRequest. More...
virtual void | sendProbeReply ()
| Target::sendProbeReply.
virtual void | receiveRdmCommand (ACN::PDU::Message< RPT::COMMAND::Pdu > pdu)
| Target::receiveRdmCommand. More...
Public Member Functions inherited from RDMnet::EPT::Broker
| Broker ()
| Broker::Broker.
Public Member Functions inherited from RDMnet::RPT::Broker
| Broker ()
| Broker::Broker.

## Additional Inherited Members

Public Attributes inherited from RDM::Responder
union {
uint16_t control_field
struct {
bool managed_proxy_flag: 1
bool subdevice_flag: 1
bool bootloader_flag: 1
bool proxied_device_flag: 1
} |
}; |
Public Attributes inherited from RDM::Device
uint16_t | deviceModelID
| model ID number
std::string | deviceModelDescription
| model description
uint16_t | deviceProductCategory
| device category
Protected Member Functions inherited from ACN::RLP::Component
void | RlpReceiver (PDU::Message< RLP::Pdu >)
| Component::RlpReceiver. More...
void | RlpRegisterVector (uint32_t, PDU::Handler< RLP::Pdu >)
| Component::RlpRegisterVectorHandler. More...
Protected Member Functions inherited from RDM::Responder
virtual void | send (const std::vector< uint8_t > &data)
| Responder::send. More...
virtual void | send (MsgPtr message)
| Responder::send. More...
virtual void | receive (const MsgPtr message)
| Responder::receive. More...
virtual void | rxDiscovery (const MsgPtr message, MsgPtr response)
| Responder::rxDiscovery. More...
virtual void | rxGet (const MsgPtr message, MsgPtr response)
| Responder::rxGet. More...
virtual void | rxSet (const MsgPtr message, MsgPtr response)
| Responder::rxSet. More...
void | actionDiscoverUniqueBranch (const MsgPtr message, MsgPtr response)
| Responder::actionDiscoverUniqueBranch. More...
void | actionDiscoveryMute (const MsgPtr message, MsgPtr response)
| Responder::actionDiscoveryMute. More...
void | actionDiscoveryUnmute (const MsgPtr message, MsgPtr response)
| Responder::actionDiscoveryUnmute. More...
void | actionGetCommsStatus (const MsgPtr message, MsgPtr response)
| Responder::actionGetCommsStatus. More...
void | actionSetCommsStatus (const MsgPtr message, MsgPtr response)
| Responder::actionSetCommsStatus. More...
void | actionGetQueuedMessage (const MsgPtr message, MsgPtr response)
| Responder::actionGetQueuedMessage. More...
void | actionGetStatusMessages (const MsgPtr message, MsgPtr response)
| Responder::actionGetStatusMessages. More...
void | actionGetStatusIdDescription (const MsgPtr message, MsgPtr response)
| Responder::actionGetStatusIdDescription. More...
Protected Member Functions inherited from RDM::Device
void | enqueueMessage (MsgPtr message, bool urgent=false)
| Device::enqueueMessage. More...
void | enqueueStatus (StatusPtr status)
| Device::enqueueStatus. More...
bool | actionPrep_ (const MsgPtr message, MsgPtr response)
| Device::actionPrep_. More...
void | actionGetSupportedParameters (const MsgPtr message, MsgPtr response)
| Device::actionGetSupportedParameters. More...
void | actionSetClearStatusId (const MsgPtr message, MsgPtr response)
| Device::actionSetClearStatusId. More...
void | actionGetSubdeviceThreshold (const MsgPtr message, MsgPtr response)
| Device::actionGetSubdeviceThreshold. More...
void | actionSetSubdeviceThreshold (const MsgPtr message, MsgPtr response)
| Device::actionSetSubdeviceThreshold. More...
void | actionGetDeviceInfo (const MsgPtr message, MsgPtr response)
| Device::actionGetDeviceInfo. More...
void | actionGetProductDetailIdList (const MsgPtr message, MsgPtr response)
| Device::actionGetProductDetailIdList. More...
void | actionGetDevModelDescription (const MsgPtr message, MsgPtr response)
| Device::actionGetDevModelDescription. More...
void | actionGetManufacturerLabel (const MsgPtr message, MsgPtr response)
| Device::actionGetManufacturerLabel. More...
void | actionGetLanguage (const MsgPtr message, MsgPtr response)
| Device::actionGetLanguage. More...
void | actionSetLanguage (const MsgPtr message, MsgPtr response)
| Device::actionSetLanguage. More...
void | actionGetSoftwareVersionLabel (const MsgPtr message, MsgPtr response)
| Device::actionGetSoftwareVersionLabel. More...
void | actionGetDmxPersonality (const MsgPtr message, MsgPtr response)
| Device::actionGetDmxPersonality. More...
void | actionSetDmxPersonality (const MsgPtr message, MsgPtr response)
| Device::actionSetDmxPersonality. More...
void | actionGetDmxPersonalityDesc (const MsgPtr message, MsgPtr response)
| Device::actionGetDmxPersonalityDesc. More...
void | actionGetDmxStartAddress (const MsgPtr message, MsgPtr response)
| Device::actionGetDmxStartAddress. More...
void | actionSetDmxStartAddress (const MsgPtr message, MsgPtr response)
| Device::actionSetDmxStartAddress. More...
void | actionSensorDispatch (const MsgPtr message, MsgPtr response)
| Device::actionSensorDispatch. More...
void | actionGetIdentifyDevice (const MsgPtr message, MsgPtr response)
| Device::actionGetIdentifyDevice. More...
void | actionSetIdentifyDevice (const MsgPtr message, MsgPtr response)
| Device::actionSetIdentifyDevice. More...
void | actionSetResetDevice (const MsgPtr message, MsgPtr response)
| Device::actionSetResetDevice. More...
Protected Attributes inherited from ACN::Component
std::string | fctn_
| EPI 19: ACN Discovery on IP Networks. More...
std::string | uacn_
| 3.2. More...
Protected Attributes inherited from RDM::Device
UID | id_
| device UID
std::unordered_map< uint16_t, Device * > | sub_devices_
| sub devices
std::unordered_map< PID, Parameter * > | parameters_
| parameters
std::vector< Sensor * > | sensors_
| sensors
std::list< uint16_t > | product_detail_list_
| product detail list
std::deque< MsgPtr > | queued_messages_
| outbound message queue
UID | controller_uid_
| controller UID
std::unordered_map< uint8_t, std::queue< StatusPtr > > | queued_statuses_
| outbound status queue
Protected Attributes inherited from DMX::Device
std::vector< Personality * > | personalities_
| available personalities
uint8_t | personality_
| index of current personality
uint16_t | startAddress_
| DMX start address.

## Detailed Description

The Broker class.

## Constructor & Destructor Documentation

## Broker()

RDMnet::Broker::Broker | ( | UUID::uuid | cid = `UUID::uuid()`,
|  | RDM::UID | uid = `RDM::UID()`
| ) |  |

Broker::Broker.

Parameters

  cid |
  uid |

Here is the call graph for this function:

## Member Function Documentation

## rlpBrokerReceiver()

void RDMnet::Broker::rlpBrokerReceiver | ( | ACN::PDU::Message< ACN::RLP::Pdu > | root | ) |

Broker::rlpBrokerReceiver.

Parameters

  root |

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdmnet/broker.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdmnet/broker.cpp